Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4802)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4803)
@@ -991,60 +1016,55 @@
        ENDDO
 
-       WRITE ( io, 4 )  TRIM( coordinates ), TRIM( leaf_area_density ),        &
-                          TRIM( gradients ), TRIM( slices )
+       WRITE( io, 4 )  TRIM( coordinates ), TRIM( leaf_area_density ), TRIM( gradients ),          &
+                       TRIM( slices )
 
     ELSE
-    
-       WRITE ( leaf_area_density, '(F7.4)' )  lad_surface
+
+       WRITE( leaf_area_density, '(F7.4)' )  lad_surface
        coordinates = '   0.0'
-       
+
        DO  k = 1, pch_index
 
-          WRITE (coor_chr,'(F7.2)')  lad(k)
-          leaf_area_density = TRIM( leaf_area_density ) // ' ' //              &
-                              TRIM( coor_chr )                                 
-                                                                               
-          WRITE (coor_chr,'(F7.1)')  zu(k)                                     
-          coordinates = TRIM( coordinates ) // ' '  // TRIM( coor_chr )        
-                                                                               
-       ENDDO                                                                   
-                                                                               
-       WRITE ( io, 5 ) TRIM( coordinates ), TRIM( leaf_area_density ),         &
-                       alpha_lad, beta_lad, lai_beta
-
-    ENDIF  
-
-1   FORMAT (//' Vegetation canopy (drag) model:'/                              &
-              ' ------------------------------'//                              &
-              ' Canopy mode: ', A /                                            &
-              ' Canopy height: ',F6.2,'m (',I4,' grid points)' /               &
-              ' Leaf drag coefficient: ',F6.2 /)
-2   FORMAT (/ ' Scalar exchange coefficient: ',F6.2 /                          &
-              ' Scalar concentration at leaf surfaces in kg/m**3: ',F6.2 /)
-3   FORMAT (' Predefined constant heatflux at the top of the vegetation: ',    &
-             F6.2, ' K m/s')
-4   FORMAT (/ ' Characteristic levels of the leaf area density:'//             &
-              ' Height:              ',A,'  m'/                                &
-              ' Leaf area density:   ',A,'  m**2/m**3'/                        &
-              ' Gradient:            ',A,'  m**2/m**4'/                        &
-              ' Gridpoint:           ',A)
-5   FORMAT (//' Characteristic levels of the leaf area density and coefficients:'&
-          //  ' Height:              ',A,'  m'/                                &
-              ' Leaf area density:   ',A,'  m**2/m**3'/                        &
-              ' Coefficient alpha: ',F6.2 /                                    &
-              ' Coefficient beta: ',F6.2 /                                     &
-              ' Leaf area index: ',F6.2,'  m**2/m**2' /)   
-       
+          WRITE( coor_chr,'(F7.2)' )  lad(k)
+          leaf_area_density = TRIM( leaf_area_density ) // ' ' // TRIM( coor_chr )
+
+          WRITE(coor_chr,'(F7.1)')  zu(k)
+          coordinates = TRIM( coordinates ) // ' '  // TRIM( coor_chr )
+
+       ENDDO
+
+       WRITE( io, 5 ) TRIM( coordinates ), TRIM( leaf_area_density ), alpha_lad, beta_lad, lai_beta
+
+    ENDIF
+
+1   FORMAT (/ /' Vegetation canopy (drag) model:' / ' ------------------------------' //           &
+              ' Canopy mode: ', A / ' Canopy height: ', F6.2, 'm (',I4,' grid points)' /           &
+              ' Leaf drag coefficient: ', F6.2 /)
+2   FORMAT (/ ' Scalar exchange coefficient: ',F6.2 /                                              &
+              ' Scalar concentration at leaf surfaces in kg/m**3: ', F6.2 /)
+3   FORMAT ( ' Predefined constant heatflux at the top of the vegetation: ', F6.2, ' K m/s')
+4   FORMAT (/ ' Characteristic levels of the leaf area density:' //                                &
+              ' Height:              ', A, '  m' /                                                 &
+              ' Leaf area density:   ', A, '  m**2/m**3' /                                         &
+              ' Gradient:            ', A, '  m**2/m**4' /                                         &
+              ' Gridpoint:           ', A )
+5   FORMAT (//' Characteristic levels of the leaf area density and coefficients:' //               &
+              ' Height:              ', A, '  m' /                                                 &
+              ' Leaf area density:   ', A, '  m**2/m**3' /                                         &
+              ' Coefficient alpha: ',F6.2 /                                                        &
+              ' Coefficient beta: ',F6.2 /                                                         &
+              ' Leaf area index: ',F6.2,'  m**2/m**2' /)
+
     END SUBROUTINE pcm_header
- 
- 
-!------------------------------------------------------------------------------!
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Initialization of the plant canopy model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_init
 
-       USE exchange_horiz_mod,                                                    &
+       USE exchange_horiz_mod,                                                                     &
            ONLY:  exchange_horiz
 
@@ -1054,16 +1074,16 @@
        INTEGER(iwp) ::  m   !< running index
 
-       LOGICAL      ::  lad_on_top = .FALSE.  !< dummy flag to indicate that LAD is defined on a building roof
-       LOGICAL      ::  bad_on_top = .FALSE.  !< dummy flag to indicate that BAD is defined on a building roof
+       LOGICAL ::  lad_on_top = .FALSE.  !< dummy flag to indicate that LAD is defined on a building roof
+       LOGICAL ::  bad_on_top = .FALSE.  !< dummy flag to indicate that BAD is defined on a building roof
 
        REAL(wp) ::  canopy_height   !< canopy height for lad-profile construction
        REAL(wp) ::  gradient        !< gradient for lad-profile construction
-       REAL(wp) ::  int_bpdf        !< vertical integral for lad-profile construction      
+       REAL(wp) ::  int_bpdf        !< vertical integral for lad-profile construction
        REAL(wp) ::  lad_max         !< maximum LAD value in the model domain, used to perform a check
 
+
        IF ( debug_output )  CALL debug_message( 'pcm_init', 'start' )
 !
-!--    Allocate one-dimensional arrays for the computation of the 
-!--    leaf area density (lad) profile
+!--    Allocate one-dimensional arrays for the computation of the leaf area density (lad) profile
        ALLOCATE( lad(0:nz+1), pre_lad(0:nz+1) )
        lad = 0.0_wp
@@ -1071,21 +1091,20 @@
 
 !
-!--    Set flag that indicates that the lad-profile shall be calculated by using
-!--    a beta probability density function
+!--    Set flag that indicates that the lad-profile shall be calculated by using a beta probability
+!--    density function
        IF ( alpha_lad /= 9999999.9_wp  .AND.  beta_lad /= 9999999.9_wp )  THEN
           calc_beta_lad_profile = .TRUE.
        ENDIF
-       
-       
-!
-!--    Compute the profile of leaf area density used in the plant
-!--    canopy model. The profile can either be constructed from
-!--    prescribed vertical gradients of the leaf area density or by
-!--    using a beta probability density function (see e.g. Markkanen et al., 
-!--    2003: Boundary-Layer Meteorology, 106, 437-459) 
-       IF (  .NOT.  calc_beta_lad_profile )  THEN   
-
-!
-!--       Use vertical gradients for lad-profile construction    
+
+
+!
+!--    Compute the profile of leaf area density used in the plant canopy model. The profile can
+!--    either be constructed from prescribed vertical gradients of the leaf area density or by using
+!--    a beta probability density function (see e.g. Markkanen et al., 2003: Boundary-Layer
+!--    Meteorology, 106, 437-459)
+       IF ( .NOT. calc_beta_lad_profile )  THEN
+
+!
+!--       Use vertical gradients for lad-profile construction
           i = 1
           gradient = 0.0_wp
@@ -1094,7 +1113,7 @@
           lad_vertical_gradient_level_ind(1) = 0
 
-          DO k = 1, pch_index
+          DO  k = 1, pch_index
              IF ( i < 11 )  THEN
-                IF ( lad_vertical_gradient_level(i) < zu(k)  .AND.          &
+                IF ( lad_vertical_gradient_level(i) < zu(k)  .AND.                                 &
                      lad_vertical_gradient_level(i) >= 0.0_wp )  THEN
                    gradient = lad_vertical_gradient(i)
@@ -1115,7 +1134,6 @@
 
 !
-!--       In case of no given leaf area density gradients, choose a vanishing
-!--       gradient. This information is used for the HEADER and the RUN_CONTROL
-!--       file.
+!--       In case of no given leaf area density gradients, choose a vanishing gradient. This
+!--       information is used for the HEADER and the RUN_CONTROL file.
           IF ( lad_vertical_gradient_level(1) == -9999999.9_wp )  THEN
              lad_vertical_gradient_level(1) = 0.0_wp
@@ -1124,33 +1142,32 @@
        ELSE
 
-! 
+!
 !--       Use beta function for lad-profile construction
           int_bpdf = 0.0_wp
           canopy_height = zw(pch_index)
 
-          DO k = 0, pch_index
-             int_bpdf = int_bpdf +                                             &
-                      ( ( ( zw(k) / canopy_height )**( alpha_lad-1.0_wp ) ) *  &
-                      ( ( 1.0_wp - ( zw(k) / canopy_height ) )**(              &
-                          beta_lad-1.0_wp ) )                                  &
-                      * ( ( zw(k+1)-zw(k) ) / canopy_height ) )
+          DO  k = 0, pch_index
+             int_bpdf = int_bpdf +                                                                 &
+                                 ( ( ( zw(k) / canopy_height )**( alpha_lad-1.0_wp ) ) *           &
+                                   ( ( 1.0_wp - ( zw(k) / canopy_height ) )**( beta_lad-1.0_wp ) ) &
+                                   * ( ( zw(k+1)-zw(k) ) / canopy_height ) )
           ENDDO
 
 !
 !--       Preliminary lad profile (defined on w-grid)
-          DO k = 0, pch_index
-             pre_lad(k) =  lai_beta *                                          &
-                        ( ( ( zw(k) / canopy_height )**( alpha_lad-1.0_wp ) )  &
-                        * ( ( 1.0_wp - ( zw(k) / canopy_height ) )**(          &
-                              beta_lad-1.0_wp ) ) / int_bpdf                   &
-                        ) / canopy_height
+          DO  k = 0, pch_index
+             pre_lad(k) =  lai_beta *                                                              &
+                              ( ( ( zw(k) / canopy_height )**( alpha_lad-1.0_wp ) )                &
+                                * ( ( 1.0_wp - ( zw(k) / canopy_height ) )**( beta_lad-1.0_wp ) )  &
+                                / int_bpdf                                                         &
+                              ) / canopy_height
           ENDDO
 
 !
-!--       Final lad profile (defined on scalar-grid level, since most prognostic
-!--       quantities are defined there, hence, less interpolation is required 
-!--       when calculating the canopy tendencies)
+!--       Final lad profile (defined on scalar-grid level, since most prognostic quantities are
+!--       defined there, hence, less interpolation is required when calculating the canopy
+!--       tendencies)
           lad(0) = pre_lad(0)
-          DO k = 1, pch_index
+          DO  k = 1, pch_index
              lad(k) = 0.5 * ( pre_lad(k-1) + pre_lad(k) )
           ENDDO
@@ -1159,6 +1176,6 @@
 
 !
-!--    Allocate 3D-array for the leaf-area density (lad_s) as well as 
-!--    for basal-area densitiy (bad_s). Note, by default bad_s is zero.
+!--    Allocate 3D-array for the leaf-area density (lad_s) as well as for basal-area densitiy
+!--    (bad_s). Note, by default bad_s is zero.
        ALLOCATE( lad_s(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
        ALLOCATE( bad_s(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
@@ -1166,9 +1183,9 @@
 !
 !--    Initialization of the canopy coverage in the model domain:
-!--    Setting the parameter canopy_mode = 'homogeneous' initializes a canopy, which
-!--    fully covers the domain surface
+!--    Setting the parameter canopy_mode = 'homogeneous' initializes a canopy, which fully covers
+!--    the domain surface
        SELECT CASE ( TRIM( canopy_mode ) )
 
-          CASE( 'homogeneous' )
+          CASE ( 'homogeneous' )
 
              DO  i = nxlg, nxrg
@@ -1185,6 +1202,6 @@
 !--             Open the static input file
 #if defined( __netcdf )
-                CALL open_read_file( TRIM( input_file_static ) //              &
-                                     TRIM( coupling_char ),                    &
+                CALL open_read_file( TRIM( input_file_static ) //                                  &
+                                     TRIM( coupling_char ),                                        &
                                      pids_id )
 
@@ -1198,20 +1215,18 @@
                 IF ( check_existence( vars_pids, 'lad' ) )  THEN
                    leaf_area_density_f%from_file = .TRUE.
-                   CALL get_attribute( pids_id, char_fill,                     &
-                                       leaf_area_density_f%fill,               &
+                   CALL get_attribute( pids_id, char_fill,                                         &
+                                       leaf_area_density_f%fill,                                   &
                                        .FALSE., 'lad' )
 !
 !--                Inquire number of vertical vegetation layer
-                   CALL get_dimension_length( pids_id,                         &
-                                              leaf_area_density_f%nz,          &
+                   CALL get_dimension_length( pids_id,                                             &
+                                              leaf_area_density_f%nz,                              &
                                               'zlad' )
 !
 !--                Allocate variable for leaf-area density
-                   ALLOCATE( leaf_area_density_f%var                           &
-                                                (0:leaf_area_density_f%nz-1,   &
-                                                 nys:nyn,nxl:nxr) )
-
-                   CALL get_variable( pids_id, 'lad', leaf_area_density_f%var, &
-                                      nxl, nxr, nys, nyn,                      &
+                   ALLOCATE( leaf_area_density_f%var                                               &
+                                                 (0:leaf_area_density_f%nz-1,nys:nyn,nxl:nxr) )
+
+                   CALL get_variable( pids_id, 'lad', leaf_area_density_f%var, nxl, nxr, nys, nyn, &
                                       0, leaf_area_density_f%nz-1 )
 
@@ -1223,21 +1238,19 @@
                 IF ( check_existence( vars_pids, 'bad' ) )  THEN
                    basal_area_density_f%from_file = .TRUE.
-                   CALL get_attribute( pids_id, char_fill,                     &
-                                       basal_area_density_f%fill,              &
+                   CALL get_attribute( pids_id, char_fill,                                         &
+                                       basal_area_density_f%fill,                                  &
                                        .FALSE., 'bad' )
 !
 !--                Inquire number of vertical vegetation layer
-                   CALL get_dimension_length( pids_id,                         &
-                                              basal_area_density_f%nz,         & 
+                   CALL get_dimension_length( pids_id,                                             &
+                                              basal_area_density_f%nz,                             &
                                               'zlad' )
 !
 !--                Allocate variable
-                   ALLOCATE( basal_area_density_f%var                          &
-                                              (0:basal_area_density_f%nz-1,    &
-                                               nys:nyn,nxl:nxr) )
-
-                   CALL get_variable( pids_id, 'bad', basal_area_density_f%var,&
-                                      nxl, nxr, nys, nyn,                      &
-                                      0,  basal_area_density_f%nz-1 )
+                   ALLOCATE( basal_area_density_f%var                                              &
+                                                  (0:basal_area_density_f%nz-1,nys:nyn,nxl:nxr) )
+
+                   CALL get_variable( pids_id, 'bad', basal_area_density_f%var, nxl, nxr, nys, nyn,&
+                                      0, basal_area_density_f%nz-1 )
                 ELSE
                    basal_area_density_f%from_file = .FALSE.
@@ -1247,22 +1260,19 @@
                 IF ( check_existence( vars_pids, 'root_area_dens_r' ) )  THEN
                    root_area_density_lad_f%from_file = .TRUE.
-                   CALL get_attribute( pids_id, char_fill,                     &
-                                       root_area_density_lad_f%fill,           &
+                   CALL get_attribute( pids_id, char_fill,                                         &
+                                       root_area_density_lad_f%fill,                               &
                                        .FALSE., 'root_area_dens_r' )
 !
 !--                Inquire number of vertical soil layers
-                   CALL get_dimension_length( pids_id,                         &
-                                              root_area_density_lad_f%nz,      &
+                   CALL get_dimension_length( pids_id,                                             &
+                                              root_area_density_lad_f%nz,                          &
                                               'zsoil' )
 !
 !--                Allocate variable
-                   ALLOCATE( root_area_density_lad_f%var                       &
-                                               (0:root_area_density_lad_f%nz-1,&
-                                                nys:nyn,nxl:nxr) )
-
-                   CALL get_variable( pids_id, 'root_area_dens_r',             &
-                                      root_area_density_lad_f%var,             &
-                                      nxl, nxr, nys, nyn,                      &
-                                      0,  root_area_density_lad_f%nz-1 )
+                   ALLOCATE( root_area_density_lad_f%var                                           &
+                                                 (0:root_area_density_lad_f%nz-1,nys:nyn,nxl:nxr) )
+
+                   CALL get_variable( pids_id, 'root_area_dens_r', root_area_density_lad_f%var,    &
+                                      nxl, nxr, nys, nyn, 0, root_area_density_lad_f%nz-1 )
                 ELSE
                    root_area_density_lad_f%from_file = .FALSE.
@@ -1277,13 +1287,13 @@
 
 !
-!--          Initialize LAD with data from file. If LAD is given in NetCDF file,
-!--          use these values, else take LAD profiles from ASCII file. 
-!--          Please note, in NetCDF file LAD is only given up to the maximum 
-!--          canopy top, indicated by leaf_area_density_f%nz.  
+!--          Initialize LAD with data from file. If LAD is given in NetCDF file, use these values,
+!--          else take LAD profiles from ASCII file.
+!--          Please note, in NetCDF file LAD is only given up to the maximum canopy top, indicated
+!--          by leaf_area_density_f%nz.
              lad_s = 0.0_wp
              IF ( leaf_area_density_f%from_file )  THEN
 !
-!--             Set also pch_index, used to be the upper bound of the vertical 
-!--             loops. Therefore, use the global top of the canopy layer. 
+!--             Set also pch_index, used to be the upper bound of the vertical loops. Therefore, use
+!--             the global top of the canopy layer.
                 pch_index = leaf_area_density_f%nz - 1
 
@@ -1291,24 +1301,20 @@
                    DO  j = nys, nyn
                       DO  k = 0, leaf_area_density_f%nz - 1
-                         IF ( leaf_area_density_f%var(k,j,i) /=                &
-                              leaf_area_density_f%fill )                       &
-                         lad_s(k,j,i) = leaf_area_density_f%var(k,j,i)
+                         IF ( leaf_area_density_f%var(k,j,i) /=  leaf_area_density_f%fill )        &
+                            lad_s(k,j,i) = leaf_area_density_f%var(k,j,i)
                       ENDDO
 !
 !--                   Check if resolved vegetation is mapped onto buildings.
-!--                   In general, this is allowed and also meaningful, e.g. 
-!--                   when trees carry across roofs. However, due to the 
-!--                   topography filtering, new building grid points can emerge
-!--                   at location where also plant canopy is defined. As a 
-!--                   result, plant canopy is mapped on top of roofs, with
-!--                   siginficant impact on the downstream flow field and the
-!--                   nearby surface radiation. In order to avoid that 
-!--                   plant canopy is mistakenly mapped onto building roofs, 
-!--                   check for building grid points (bit 6) that emerge from 
-!--                   the filtering (bit 4) and set LAD to zero at these
-!--                   artificially  created building grid points. This case, 
-!--                   an informative message is given.
-                      IF ( ANY( lad_s(:,j,i) /= 0.0_wp )  .AND.                &
-                           ANY( BTEST( wall_flags_total_0(:,j,i), 6 ) ) .AND.  &
+!--                   In general, this is allowed and also meaningful, e.g. when trees carry across
+!--                   roofs. However, due to the topography filtering, new building grid points can
+!--                   emerge at locations where also plant canopy is defined. As a result, plant
+!--                   canopy is mapped on top of roofs, with siginficant impact on the downstream
+!--                   flow field and the nearby surface radiation. In order to avoid that plant
+!--                   canopy is mistakenly mapped onto building roofs, check for building grid
+!--                   points (bit 6) that emerge from the filtering (bit 4) and set LAD to zero at
+!--                   these artificially created building grid points. This case, an informative
+!--                   message is given.
+                      IF ( ANY( lad_s(:,j,i) /= 0.0_wp )                 .AND.                     &
+                           ANY( BTEST( wall_flags_total_0(:,j,i), 6 ) )  .AND.                     &
                            ANY( BTEST( wall_flags_total_0(:,j,i), 4 ) ) )  THEN
                          lad_s(:,j,i) = 0.0_wp
@@ -1318,6 +1324,5 @@
                 ENDDO
 #if defined( __parallel )
-               CALL MPI_ALLREDUCE( MPI_IN_PLACE, lad_on_top, 1, MPI_LOGICAL,  &
-                                   MPI_LOR, comm2d, ierr)
+               CALL MPI_ALLREDUCE( MPI_IN_PLACE, lad_on_top, 1, MPI_LOGICAL, MPI_LOR, comm2d, ierr)
 #endif
                 IF ( lad_on_top )  THEN
@@ -1332,21 +1337,20 @@
 !
 !            ASCII file
-!--          Initialize canopy parameters canopy_drag_coeff,
-!--          leaf_scalar_exch_coeff, leaf_surface_conc
-!--          from file which contains complete 3D data (separate vertical profiles for
-!--          each location).
+!--          Initialize canopy parameters canopy_drag_coeff, leaf_scalar_exch_coeff,
+!--          leaf_surface_conc from file which contains complete 3D data (separate vertical profiles
+!--          for each location).
              ELSE
                 CALL pcm_read_plant_canopy_3d
              ENDIF
 !
-!--          Initialize LAD with data from file. If LAD is given in NetCDF file,
-!--          use these values, else take LAD profiles from ASCII file. 
-!--          Please note, in NetCDF file LAD is only given up to the maximum 
-!--          canopy top, indicated by basal_area_density_f%nz.  
+!--          Initialize LAD with data from file. If LAD is given in NetCDF file, use these values,
+!--          else take LAD profiles from ASCII file.
+!--          Please note, in NetCDF file LAD is only given up to the maximum canopy top, indicated
+!--          by basal_area_density_f%nz.
              bad_s = 0.0_wp
              IF ( basal_area_density_f%from_file )  THEN
 !
-!--             Set also pch_index, used to be the upper bound of the vertical 
-!--             loops. Therefore, use the global top of the canopy layer. 
+!--             Set also pch_index, used to be the upper bound of the vertical loops. Therefore, use
+!--             the global top of the canopy layer.
                 pch_index = basal_area_density_f%nz - 1
 
@@ -1360,6 +1364,6 @@
 !--                   Check if resolved vegetation is mapped onto buildings.
 !--                   Please see comment for leaf_area density
-                      IF ( ANY( bad_s(:,j,i) /= 0.0_wp )  .AND.                &
-                           ANY( BTEST( wall_flags_total_0(:,j,i), 6 ) ) .AND.  &
+                      IF ( ANY( bad_s(:,j,i) /= 0.0_wp )                 .AND.                     &
+                           ANY( BTEST( wall_flags_total_0(:,j,i), 6 ) )  .AND.                     &
                            ANY( BTEST( wall_flags_total_0(:,j,i), 4 ) ) )  THEN
                          bad_s(:,j,i) = 0.0_wp
@@ -1369,6 +1373,5 @@
                 ENDDO
 #if defined( __parallel )
-               CALL MPI_ALLREDUCE( MPI_IN_PLACE, bad_on_top, 1, MPI_LOGICAL,  &
-                                   MPI_LOR, comm2d, ierr)
+               CALL MPI_ALLREDUCE( MPI_IN_PLACE, bad_on_top, 1, MPI_LOGICAL, MPI_LOR, comm2d, ierr)
 #endif
                 IF ( bad_on_top )  THEN
@@ -1385,31 +1388,29 @@
           CASE DEFAULT
 !
-!--          The DEFAULT case is reached either if the parameter 
-!--          canopy mode contains a wrong character string or if the 
-!--          user has coded a special case in the user interface. 
-!--          There, the subroutine user_init_plant_canopy checks 
-!--          which of these two conditions applies.
+!--          The DEFAULT case is reached either if the parameter canopy mode contains a wrong
+!--          character string or if the user has coded a special case in the user interface.
+!--          There, the subroutine user_init_plant_canopy checks which of these two conditions
+!--          applies.
              CALL user_init_plant_canopy
- 
+
        END SELECT
 !
-!--    Check that at least one grid point has an LAD /= 0, else this may 
-!--    cause errors in the radiation model. 
+!--    Check that at least one grid point has an LAD /= 0, else this may cause errors in the
+!--    radiation model.
        lad_max = MAXVAL( lad_s )
 #if defined( __parallel )
-       CALL MPI_ALLREDUCE( MPI_IN_PLACE, lad_max, 1, MPI_REAL, MPI_MAX,        &
-                           comm2d, ierr)
+       CALL MPI_ALLREDUCE( MPI_IN_PLACE, lad_max, 1, MPI_REAL, MPI_MAX, comm2d, ierr)
 #endif
        IF ( lad_max <= 0.0_wp )  THEN
-          message_string = 'Plant-canopy model is switched-on but no ' //      &
+          message_string = 'Plant-canopy model is switched-on but no ' //                          &
                            'plant canopy is present in the model domain.'
           CALL message( 'pcm_init', 'PA0685', 1, 2, 0, 6, 0 )
        ENDIF
-    
-!
-!--    Initialize 2D index array indicating canopy top index. 
+
+!
+!--    Initialize 2D index array indicating canopy top index.
        ALLOCATE( pch_index_ji(nysg:nyng,nxlg:nxrg) )
        pch_index_ji = 0
-       
+
        DO  i = nxlg, nxrg
           DO  j = nysg, nyng
@@ -1418,8 +1419,7 @@
              ENDDO
 !
-!--          Check whether topography and local vegetation on top exceed 
-!--          height of the model domain.
+!--          Check whether topography and local vegetation on top exceed height of the model domain.
              IF ( topo_top_ind(j,i,0) + pch_index_ji(j,i) >= nzt + 1 )  THEN
-                message_string =  'Local vegetation height on top of ' //      &
+                message_string =  'Local vegetation height on top of ' //                          &
                                   'topography exceeds height of model domain.'
                 CALL message( 'pcm_init', 'PA0674', 2, 2, myid, 6, 0 )
@@ -1434,6 +1434,5 @@
 !--    Exchange pch_index from all processors
 #if defined( __parallel )
-       CALL MPI_ALLREDUCE( MPI_IN_PLACE, pch_index, 1, MPI_INTEGER,            &
-                           MPI_MAX, comm2d, ierr)
+       CALL MPI_ALLREDUCE( MPI_IN_PLACE, pch_index, 1, MPI_INTEGER, MPI_MAX, comm2d, ierr)
 #endif
 !
@@ -1441,5 +1440,5 @@
        ALLOCATE( pcm_heating_rate(0:pch_index,nysg:nyng,nxlg:nxrg) )
        pcm_heating_rate = 0.0_wp
-       
+
        IF ( humidity )  THEN
           ALLOCATE( pcm_transpiration_rate(0:pch_index,nysg:nyng,nxlg:nxrg) )
